List content type bindings
1 min
GET
/_cms/v1/contenttypebindings
Query Parameters
- pageIndexinteger<int32>DescriptionFormatint32Minimum0Maximum10000
- pageSizeinteger<int32>DescriptionFormatint32Minimum1Maximum10000
Responses
200
- ContentTypeBindingPageDescription
- itemsContentTypeBinding[]Description
- keystringDescriptionMin Length2Max Length255Pattern^[A-Za-z][_0-9A-Za-z]+$
- fromstringrequiredDescriptionMin Length2Max Length255Pattern^[A-Za-z][_0-9A-Za-z]+$
- tostringrequiredDescriptionMin Length2Max Length255Pattern^[A-Za-z][_0-9A-Za-z]+$
- createdstring<date-time>DescriptionFormatdate-time
- createdBystringDescription
- lastModifiedstring<date-time>DescriptionFormatdate-time
- lastModifiedBystringDescription
- propertyMappingsmap<string, PropertyMapping>Description
- pageIndexinteger<int32>DescriptionFormatint32
- pageSizeinteger<int32>DescriptionFormatint32
- totalCountinteger<int32>DescriptionFormatint32
401
403
500
curl
curl --request GET \
--url /_cms/v1/contenttypebindings \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("/_cms/v1/contenttypebindings", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/_cms/v1/contenttypebindings")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/_cms/v1/contenttypebindings"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"items": [
{
"key": "",
"from": "",
"to": "",
"created": "",
"createdBy": "",
"lastModified": "",
"lastModifiedBy": "",
"propertyMappings": ""
}
],
"pageIndex": "",
"pageSize": "",
"totalCount": ""
}401
// Unauthorized
403
// Forbidden
500
// Internal Server Error